Last Comment Bug 785697 - Typos/Errors in gclicommands.properties: Comments always talk about 'step over'
: Typos/Errors in gclicommands.properties: Comments always talk about 'step over'
Status: RESOLVED FIXED
[good first bug][mentor=aryx][fixed-i...
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Console (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: Firefox 18
Assigned To: SADINENI RAVI CHANDRA
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-26 06:11 PDT by Sebastian H. [:aryx][:archaeopteryx]
Modified: 2012-09-06 01:07 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch: changed the comments accordingly (1.90 KB, patch)
2012-08-28 05:14 PDT, SADINENI RAVI CHANDRA
no flags Details | Diff | Splinter Review
patch: changed the comments accordingly (1.89 KB, patch)
2012-08-28 05:33 PDT, SADINENI RAVI CHANDRA
aryx.bugmail: review-
Details | Diff | Splinter Review
patch: changed the comments accordingly (1.38 KB, patch)
2012-08-28 06:39 PDT, SADINENI RAVI CHANDRA
jwalker: review+
Details | Diff | Splinter Review

Description Sebastian H. [:aryx][:archaeopteryx] 2012-08-26 06:11:01 PDT
Firefox Nightly 20120825

The comments here always talk about 'step over', but should be altered to match the string.

# LOCALIZATION NOTE (dbgStepOverDesc) A very short string used to describe the
# function of the dbg step over command.
dbgStepOverDesc=Executes the current statement and then stops at the next statement. If the current statement is a function call then the debugger executes the whole function, and it stops at the next statement after the function call

# LOCALIZATION NOTE (dbgStepInDesc) A very short string used to describe the
# function of the dbg step over command.
dbgStepInDesc=Executes the current statement and then stops at the next statement. If the current statement is a function call, then the debugger steps into that function, otherwise it stops at the next statement

# LOCALIZATION NOTE (dbgStepOutDesc) A very short string used to describe the
# function of the dbg step over command.
dbgStepOutDesc=Steps out of the current function and up one level if the function is nested. If in the main body, the script is executed to the end, or to the next breakpoint. The skipped statements are executed, but not stepped through
Comment 1 SADINENI RAVI CHANDRA 2012-08-28 05:14:32 PDT
Created attachment 655958 [details] [diff] [review]
patch: changed the comments accordingly
Comment 2 SADINENI RAVI CHANDRA 2012-08-28 05:33:26 PDT
Created attachment 655964 [details] [diff] [review]
patch: changed the comments accordingly
Comment 3 Sebastian H. [:aryx][:archaeopteryx] 2012-08-28 06:07:23 PDT
Comment on attachment 655964 [details] [diff] [review]
patch: changed the comments accordingly

> # LOCALIZATION NOTE (dbgStepInDesc) A very short string used to describe the
>-# function of the dbg step over command.
>+# function of the dbg step In  command.
> dbgStepInDesc=Executes the current statement and then stops at the next statement. If the current statement is a function call, then the debugger steps into that function, otherwise it stops at the next statement

Please change the "In" to lower case and use only one whitespace behind it.


> # LOCALIZATION NOTE (dbgStepOutDesc) A very short string used to describe the
>-# function of the dbg step over command.
>+# function of the dbg step out  command.
> dbgStepOutDesc=Steps out of the current function and up one level if the function is nested. If in the main body, the script is executed to the end, or to the next breakpoint. The skipped statements are executed, but not stepped through

Please use only one whitespace behind the "out".

Furthermore, this doesn't fix something critical, so only request review without requesting uplifting to aurora or more mature branches.

Thank you.
Comment 4 SADINENI RAVI CHANDRA 2012-08-28 06:39:21 PDT
Created attachment 655979 [details] [diff] [review]
patch: changed the comments accordingly
Comment 5 SADINENI RAVI CHANDRA 2012-08-28 06:40:46 PDT
(In reply to Archaeopteryx [:aryx] from comment #3)
> Comment on attachment 655964 [details] [diff] [review]
> patch: changed the comments accordingly
> 
> > # LOCALIZATION NOTE (dbgStepInDesc) A very short string used to describe the
> >-# function of the dbg step over command.
> >+# function of the dbg step In  command.
> > dbgStepInDesc=Executes the current statement and then stops at the next statement. If the current statement is a function call, then the debugger steps into that function, otherwise it stops at the next statement
> 
> Please change the "In" to lower case and use only one whitespace behind it.
> 
> 
> > # LOCALIZATION NOTE (dbgStepOutDesc) A very short string used to describe the
> >-# function of the dbg step over command.
> >+# function of the dbg step out  command.
> > dbgStepOutDesc=Steps out of the current function and up one level if the function is nested. If in the main body, the script is executed to the end, or to the next breakpoint. The skipped statements are executed, but not stepped through
> 
> Please use only one whitespace behind the "out".
> 
> Furthermore, this doesn't fix something critical, so only request review
> without requesting uplifting to aurora or more mature branches.
> 
> Thank you.

i am sorry for that . i am new. so dont know which options to select.
i have made the necessary changes as said by you

thank you
Comment 6 Sebastian H. [:aryx][:archaeopteryx] 2012-08-28 11:17:14 PDT
Comment on attachment 655979 [details] [diff] [review]
patch: changed the comments accordingly

Thank you, no need to worry. The patch looks good, but has to be formally reviewed by the owner or a peer of the devtools/console team, so asking :jwalker for review (and doing/delegating the checkin).
Comment 7 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-08-28 11:21:47 PDT
Comment on attachment 655979 [details] [diff] [review]
patch: changed the comments accordingly

Review of attachment 655979 [details] [diff] [review]:
-----------------------------------------------------------------

Thanks.
Will add to my queue of things to land
Comment 8 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-08-29 02:48:45 PDT
https://tbpl.mozilla.org/?tree=Try&rev=95edd1e1af78
Comment 9 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-08-29 02:51:42 PDT
https://tbpl.mozilla.org/?tree=Fx-Team&rev=3636c402ea3d
Comment 10 Victor Porof [:vporof][:vp] 2012-08-30 11:51:38 PDT
https://hg.mozilla.org/mozilla-central/rev/a14a4bf5e790

Note You need to log in before you can comment on or make changes to this bug.